PaidGoods
API referenceResellers

Enrol a product for resellers

PUT
/v1/stores/{storeId}/products/{productId}/reseller

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/products/string/reseller" \  -H "Content-Type: application/json" \  -d '{    "enrolled": true  }'
{  "programEnabled": true,  "enrolled": true,  "disableVolumeDiscount": true,  "currency": "string",  "blocker": "string",  "tiers": [    {      "name": "string",      "discountBp": -9007199254740991    }  ],  "supplierPrivateMd": "string",  "retailDeliveryMd": "string"}